#
# spec file for package minetest-game-big-freaking-dig
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-game-big-freaking-dig
Version:        0_20150723
Release:        1.1
Summary:        A Minetest game with as many ores as possible
License:        WTFPL
Group:          Amusements/Games/3D/Simulation
Url:            https://github.com/Jordach/big_freaking_dig
Source:         big_freaking_dig-master.zip
Requires:       minetest >= 0.4.14
BuildRequires:  unzip
BuildRequires:  fdupes
BuildRequires:  dos2unix
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Big Freaking Dig is exactly what it says on the tin: get as many ores as possible, while fighting mobs and creating tools from new materials, such as cobalt - which can double the durability of a tool when adding a Mese Pickaxe Head onto a Cobalt Stick.

The refined tools allows users to make brand new tools which means Iron Tools can dig at Mese Level, and even further, or one could possibly triple durability of their tools. The choice is up to the user.

Another addition is the use of Oil, this useful material only generates underground in all layers. Oil can be used in the Oil TBM (based from TBM Reloaded), and can dig at double the speed, Oil may also be used to power furnaces, allowing people to remove their dependance from coal and use that for torches. Oil might also have more uses than people realize. It might also burn itself away if it generates next to lava.

%prep
%setup -q -n big_freaking_dig-master
# Remove scripts
find . -name "*.sh" -type f -delete
# Remove hidden files
find . -name ".*" -type f -delete
# Dos to Unix
find . -name "*.x" -type f | xargs dos2unix
# Zero length file filling
find . -size 0 -type f | xargs -i sed -i -e '$a\' {}

%build
# Nothing to do

%install
install -dm 0755 %{buildroot}/%{_datadir}/minetest
install -dm 0755 %{buildroot}/%{_datadir}/minetest/games
install -dm 0755 %{buildroot}/%{_datadir}/minetest/games/big_freaking_dig
chmod -R -x+X ./
cp -R * %{buildroot}/%{_datadir}/minetest/games/big_freaking_dig/
# Hard link avoid waste of duplicate files
%fdupes %{buildroot}/%{_datadir}/minetest/games/big_freaking_dig/

%files
%defattr(-,root,root)
%{_datadir}/minetest/

%changelog
* Sat Sep 10 2016 guoyunhebrave@gmail.com
- Git version 20150723
